Bug 498849 - Review Request: klatexformula - Application for easy image creating from a LaTeX equation
Review Request: klatexformula - Application for easy image creating from a La...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 19:35 EDT by nucleo
Modified: 2009-05-09 00:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 23:56:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-05-03 19:35:10 EDT
Spec URL: 
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula.spec
SRPM URL: 
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula-3.0.0-1.fc10.src.rpm

Description:
This application is especially designed for generating an image
(e.g. PNG) from a LaTeX equation, this using a nice GUI. Support for
Copy-Paste, Save as image/pdf/ps and drag-and-drop is included. In
addition to supporting a whole GUI-based user interface, this package
includes the library KLFBackend to integrate KLatexFormula functionality
into your programs.

$ rpmlint klatexformula-3.0.0-1.fc10.i386.rpm klatexformula-debuginfo-3.0.0-1.fc10.i386.rpm klatexformula-devel-3.0.0-1.fc10.i386.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint klatexformula-3.0.0-1.fc10.src.rpm
klatexformula.src: W: %ifarch-applied-patch Patch0: klatexformula-lib64.patch
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1334466
Comment 1 nucleo 2009-05-04 05:04:32 EDT
New version 3.0.1

Spec URL: 
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula.spec

SRPM URL: 
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula-3.0.0-1.fc10.src.rpm

$ rpmlint klatexformula-3.0.1-1.fc10.i386.rpm klatexformula-devel-3.0.1-1.fc10.i386.rpm klatexformula-debuginfo-3.0.1-1.fc10.i386.rpm klatexformula-3.0.1-1.fc10.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1334890
Comment 2 nucleo 2009-05-04 05:09:38 EDT
New version 3.0.1

Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula-3.0.1-1.fc10.src.rpm

$ rpmlint klatexformula-3.0.1-1.fc10.i386.rpm
klatexformula-devel-3.0.1-1.fc10.i386.rpm
klatexformula-debuginfo-3.0.1-1.fc10.i386.rpm
klatexformula-3.0.1-1.fc10.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1334890
Comment 3 Susi Lehtola 2009-05-04 10:23:23 EDT
A few notes:

- From Fedora 9 onwards there is no more tetex in Fedora, the latex interpreter is texlive instead.

- You must have Requires: hicolor-icon-theme for dir ownership.

- No need to have a separate License: tag for devel subpackage.

- Devel package must Provides: %{name}-static = %{version}-%{release}.
Comment 4 nucleo 2009-05-04 11:21:00 EDT
(In reply to comment #3)
> - From Fedora 9 onwards there is no more tetex in Fedora, the latex interpreter
> is texlive instead.
tetex-latex is still provided by texlive-latex package

- changed Requires to texlive-latex
- added Requires hicolor-icon-theme
- removed license tag in devel subpackage
- added Provides -static in devel subpackage

Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula-3.0.1-2.fc10.src.rpm
Comment 5 Susi Lehtola 2009-05-05 14:55:07 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > - From Fedora 9 onwards there is no more tetex in Fedora, the latex interpreter
> > is texlive instead.
> tetex-latex is still provided by texlive-latex package

That's odd; it shouldn't do that since texlive is not tetex.
Comment 6 Susi Lehtola 2009-05-05 15:20:29 EDT
- You can get the package to build shared libraries very easily: add the line
 sed -i "s|LIBRARY_TYPE = staticlib||g" src/klfbackend/klfbackend.pro
after the setup phase. Remember to add
 Requires: %{name} = %{version}-%{release}
to the devel package and remove the Provides: %{name}-static line.

rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSFIX
- License is GPLv2+ not GPLv2.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSFIX
- Since devel package doesn't require (and consisting only of a static library doesn't need to either) the main package, add AUTHORS and COPYING to %doc of devel package too.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
- There are no shared libraries in the main package that would be needed for development.

MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 7 nucleo 2009-05-05 19:23:15 EDT
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula-3.0.1-3.fc10.src.rpm


(In reply to comment #6)
> - You can get the package to build shared libraries very easily: add the line
>  sed -i "s|LIBRARY_TYPE = staticlib||g" src/klfbackend/klfbackend.pro
> after the setup phase. Remember to add
>  Requires: %{name} = %{version}-%{release}
> to the devel package and remove the Provides: %{name}-static line.

I made libklfbackend  subpackage with shared libraries and libklfbackend-devel with header packages.

 
> rpmlint output is clean.

$ rpmlint klatexformula-3.0.1-3.fc10.src.rpm klatexformula-3.0.1-3.fc12.i586.rpm klatexformula-debuginfo-3.0.1-3.fc12.i586.rpm libklfbackend-3.0.1-3.fc12.i586.rpm libklfbackend-devel-3.0.1-3.fc12.i586.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.


> MUST: The License field in the package spec file must match the actual license.
> NEEDSFIX
> - License is GPLv2+ not GPLv2.

License field fixed.


> MUST: The package MUST successfully compile and build into binary rpms. OK

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1337883

I made patch that fixes build with GCC 4.4
http://nucleo.fedorapeople.org/pkg-reviews/klatexformula/klatexformula-gcc44.patch


> MUST: Packages containing shared library files must call ldconfig. N/A

There are ldconfig in libklfbackend package


> MUST: All relevant items are included in %doc. Items in %doc do not affect
> runtime of application. NEEDSFIX
> - Since devel package doesn't require (and consisting only of a static library
> doesn't need to either) the main package, add AUTHORS and COPYING to %doc of
> devel package too.

AUTHORS, README and COPYING now in libklfbackend package too, in libklfbackend-devel there is only README because it requires libklfbackend.


> MUST: Header files must be in a -devel package. OK

Header files now in libklfbackend-devel package.
Comment 8 Susi Lehtola 2009-05-06 01:40:07 EDT
Very well,


APPROVED
Comment 9 nucleo 2009-05-06 02:45:51 EDT
(In reply to comment #8)
> Very well,
> 
> 
> APPROVED  

Thank you for review.


New Package CVS Request
=======================
Package Name: klatexformula
Short Description: Application for easy image creating from a LaTeX equation
Owners: nucleo
Branches: F-9 F-10 F-11
Comment 10 Kevin Fenzi 2009-05-06 17:07:21 EDT
cvs done.
Comment 11 Fedora Update System 2009-05-06 19:22:25 EDT
klatexformula-3.0.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/klatexformula-3.0.1-3.fc9
Comment 12 Fedora Update System 2009-05-06 19:24:46 EDT
klatexformula-3.0.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/klatexformula-3.0.1-3.fc10
Comment 13 Fedora Update System 2009-05-06 19:26:33 EDT
klatexformula-3.0.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/klatexformula-3.0.1-3.fc11
Comment 14 Fedora Update System 2009-05-08 23:56:37 EDT
klatexformula-3.0.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-08 23:57:29 EDT
klatexformula-3.0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-05-09 00:09:12 EDT
klatexformula-3.0.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.